CMSIS-DSP: matrix_functions_f16.h File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
matrix_functions_f16.h File Reference

## Data Structures

struct | arm_matrix_instance_f16
| Instance structure for the floating-point matrix structure. More...

## Functions

arm_status | arm_mat_add_f16 (const arm_matrix_instance_f16 *pSrcA, const arm_matrix_instance_f16 *pSrcB, arm_matrix_instance_f16 *pDst)
| Floating-point matrix addition. More...
arm_status | arm_mat_cmplx_mult_f16 (const arm_matrix_instance_f16 *pSrcA, const arm_matrix_instance_f16 *pSrcB, arm_matrix_instance_f16 *pDst)
| Floating-point, complex, matrix multiplication. More...
arm_status | arm_mat_trans_f16 (const arm_matrix_instance_f16 *pSrc, arm_matrix_instance_f16 *pDst)
| Floating-point matrix transpose. More...
arm_status | arm_mat_cmplx_trans_f16 (const arm_matrix_instance_f16 *pSrc, arm_matrix_instance_f16 *pDst)
| Floating-point complex matrix transpose. More...
arm_status | arm_mat_mult_f16 (const arm_matrix_instance_f16 *pSrcA, const arm_matrix_instance_f16 *pSrcB, arm_matrix_instance_f16 *pDst)
| Floating-point matrix multiplication. More...
void | arm_mat_vec_mult_f16 (const arm_matrix_instance_f16 *pSrcMat, const float16_t *pVec, float16_t *pDst)
| Floating-point matrix and vector multiplication. More...
arm_status | arm_mat_sub_f16 (const arm_matrix_instance_f16 *pSrcA, const arm_matrix_instance_f16 *pSrcB, arm_matrix_instance_f16 *pDst)
| Floating-point matrix subtraction. More...
arm_status | arm_mat_scale_f16 (const arm_matrix_instance_f16 *pSrc, float16_t scale, arm_matrix_instance_f16 *pDst)
| Floating-point matrix scaling. More...
void | arm_mat_init_f16 (arm_matrix_instance_f16 *S, uint16_t nRows, uint16_t nColumns, float16_t *pData)
| Floating-point matrix initialization. More...
arm_status | arm_mat_inverse_f16 (const arm_matrix_instance_f16 *src, arm_matrix_instance_f16 *dst)
| Floating-point matrix inverse. More...
arm_status | arm_mat_cholesky_f16 (const arm_matrix_instance_f16 *src, arm_matrix_instance_f16 *dst)
| Floating-point Cholesky decomposition of Symmetric Positive Definite Matrix. More...
arm_status | arm_mat_solve_upper_triangular_f16 (const arm_matrix_instance_f16 *ut, const arm_matrix_instance_f16 *a, arm_matrix_instance_f16 *dst)
| Solve UT . X = A where UT is an upper triangular matrix. More...
arm_status | arm_mat_solve_lower_triangular_f16 (const arm_matrix_instance_f16 *lt, const arm_matrix_instance_f16 *a, arm_matrix_instance_f16 *dst)
| Solve LT . X = A where LT is a lower triangular matrix. More...